Flytec 6000 – Downloads

Software

Flasher 1.5 Flasher 1.5 (308.0 kB)

This program is used for upload of firmware updates on flight instruments of series 5020 and 6000 (6015 included).

For correct functioning of the flasher the software application requires the PROLIFIC-USB-driver.
=>to download of Prolific driver.
If the flight analysis software FLYCHART as from version 4.52 has already been installed, then the Prolific-USB driver is already present and there is no need for later installation.